cheapmobileproxy

移动代理开发者API

通过REST API管理余额、产品、订单、代理及IP变更。您可在自有工具和脚本中复现控制台所有操作。

基础地址与认证

https://cheapmobileproxy.com/api/v1
Authorization: Bearer YOUR_API_KEY

GET/balance余额

返回当前可用余额(美元)。

curl https://cheapmobileproxy.com/api/v1/balance \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "balance": "125.40", "currency": "USD" }

GET/products产品与价格

返回各产品支持的国家列表,以及各国可选周期与单价(旋转代理按GB计价)

curl https://cheapmobileproxy.com/api/v1/products \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "currency": "USD", "products": [ { "id": "dedicated", "unit": "proxy", "countries": [ { "country": "us", "periods": [ { "period": "1m", "days": 30, "price": "83.40" } ] } ] }, { "id": "rotating", "unit": "gb", "price_per_gb": "3.59" } ] }

POST/orders购买

使用余额购买。静态移动需提交product, country, period, quantity(1~100)参数;旋转移动需提交product, gb(1~1000), country(可选,默认any)。

curl -X POST https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "product": "dedicated", "country": "us", "period": "1m", "quantity": 2 }'
{ "ok": true, "order": "P-7K2M-Q9XD-4HTA", "charged": "166.80", "balance": "58.60" }

GET/orders订单列表

返回订单编号、产品、国家、周期、数量、金额、状态及到期日。

curl https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "orders": [ { "code": "P-7K2M-Q9XD-4HTA", "product": "dedicated", "country": "us", "period": "1m", "quantity": 2, "status": "ACTIVE" } ] }

GET/proxies代理列表

返回当前代理的主机地址、HTTP/SOCKS5端口、用户名密码、当前IP及IP更换链接

curl https://cheapmobileproxy.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "proxies": [ { "id": "pxk3m9q2wt7a", "country": "us", "host": "198.51.100.24", "http_port": 20418, "socks5_port": 30418, "username": "cmpk3m9q2wt", "password": "...", "ip": "203.0.113.57", "ip_change_url": "https://cheapmobileproxy.com/api/rotate/..." } ] }

POST/proxies/{id}/rotate更换IP

固定移动代理的IP可以更换。每个代理每10秒可更换一次。

curl -X POST https://cheapmobileproxy.com/api/v1/proxies/pxk3m9q2wt7a/rotate \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "ip": "203.0.113.91", "changed_at": "2026-10-23T09:30:00.000Z" }

错误响应

HTTPcode释义
401authAPI密钥无效或缺失
402balance余额不足(未扣款)
400bad_country, bad_period, bad_qty, bad_gb请求参数与商品不匹配(不会扣款)
429rate, too_fast每分钟300次,IP更改每10秒一次
503network网络错误,请稍后重试(不会扣款)

创建API密钥

首次充值到账后,可在控制台API页面创建密钥。密钥需随请求发送,必要时可在控制台更换新密钥。

可以做什么

  • 余额查询
  • 查看产品目录及国家、周期与价格
  • 下单与订单状态查询
  • 查看代理列表与连接信息
  • 固定线路IP更换(每10秒一次)

订购与支付

API订单同样从账户余额扣款。静态代理可批量订购1-100个,动态代理按GB购买。